Subject: Re: [PATCH 3/3] completion: use specified file (if any) when completing config vars

From: Stephen Boyd <[email-masked]>
Date: Fri, 08 May 2009 18:00:25 -0700

Stephen Boyd wrote:
> On Thu, May 7, 2009 at 8:12 AM, Shawn O. Pearce <[email-masked]> wrote:
>> Wow, this is a lot of magic.
>>
>> Try:
>>
>> Â git config --global remote.gitster.url $(git config remote.o<TAB>
>>
>> You'll complete against --global, not the local repository
>
> Yeah, I didn't think it would be very robust. Is it a good idea to
> keep going down this path, or is it too magical? This example could be
> fixed by searching the words backwards, but I imagine there is some
> other case where that will fail. Also, --global and --system don't
> have values, so right now it's all wrong (i.e. config_file is
> "--global remote.gitster.url" for this example).

After further investigation, I can't get the tab completion you talk
about here to work at all. Should it work?

I've reworked this into two patches which I'll send as a follow up soon.